/*
  Copyright (C) 2010 DJ Delorie <dj@redhat.com>

  This file is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 3, or (at your option) any later
  version.
  
  This file is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  for more details.
  
  You should have received a copy of the GNU General Public License
  along with this file; see the file COPYING3.  If not see
  <http://www.gnu.org/licenses/>.
*/

	.text

	.global	_default_isr
_default_isr:
	jmp.b	_default_isr

	.global	_ivects
_ivects:
	;; 0
	.long	_brk_handler		; brk
	.long	0
	.long	0
	.long	0
	.long	0
	.long	0
	.long	0
	.long	0
	;; 8
	.long	_timer_rd0_handler	; timer_rd0
	.long	_timer_rd1_handler	; timer_rd1
	.long	_timer_re_handler	; timer_re
	.long	0
	.long	0
	.long	_key_handler		; key
	.long	_adc_handler		; adc
	.long	_iic_handler		; iic
	;; 16
	.long	0
	.long	_s0tx_handler		; s0tx
	.long	_s0rx_handler		; s0rx
	.long	_s1tx_handler		; s1tx
	.long	_s1rx_handler		; s1rx
	.long	_int2_handler		; int2
	.long	_timer_x_handler	; timer_x
	.long	0
	;; 24
	.long	_timer_z_handler	; timer_z
	.long	_int1_handler		; int1
	.long	_int3_handler		; int3
	.long	0
	.long	0
	.long	_int0_handler		; int0
	.long	0
	.long	0
	;; the rest are software interrupts only, which we don't use.
